CASES_FIELDS = [
	'aliquot_ids',
	'analyte_ids',
	'annotations.annotation_id',
	'annotations.case_id',
	'annotations.case_submitter_id',
	'annotations.category',
	'annotations.classification',
	'annotations.created_datetime',
	'annotations.creator',
	'annotations.entity_id',
	'annotations.entity_submitter_id',
	'annotations.entity_type',
	'annotations.legacy_created_datetime',
	'annotations.legacy_updated_datetime',
	'annotations.notes',
	'annotations.state',
	'annotations.status',
	'annotations.submitter_id',
	'annotations.updated_datetime',
	'case_id',
	'created_datetime',
	'days_to_index',
	'demographic.created_datetime',
	'demographic.demographic_id',
	'demographic.ethnicity',
	'demographic.gender',
	'demographic.race',
	'demographic.state',
	'demographic.submitter_id',
	'demographic.updated_datetime',
	'demographic.year_of_birth',
	'demographic.year_of_death',
	'diagnoses.age_at_diagnosis',
	'diagnoses.classification_of_tumor',
	'diagnoses.created_datetime',
	'diagnoses.days_to_birth',
	'diagnoses.days_to_death',
	'diagnoses.days_to_last_follow_up',
	'diagnoses.days_to_last_known_disease_status',
	'diagnoses.days_to_recurrence',
	'diagnoses.diagnosis_id',
	'diagnoses.last_known_disease_status',
	'diagnoses.morphology',
	'diagnoses.primary_diagnosis',
	'diagnoses.prior_malignancy',
	'diagnoses.progression_or_recurrence',
	'diagnoses.site_of_resection_or_biopsy',
	'diagnoses.state',
	'diagnoses.submitter_id',
	'diagnoses.tissue_or_organ_of_origin',
	'diagnoses.treatments.created_datetime',
	'diagnoses.treatments.days_to_treatment',
	'diagnoses.treatments.state',
	'diagnoses.treatments.submitter_id',
	'diagnoses.treatments.therapeutic_agents',
	'diagnoses.treatments.treatment_id',
	'diagnoses.treatments.treatment_intent_type',
	'diagnoses.treatments.treatment_or_therapy',
	'diagnoses.treatments.updated_datetime',
	'diagnoses.tumor_grade',
	'diagnoses.tumor_stage',
	'diagnoses.updated_datetime',
	'diagnoses.vital_status',
	'exposures.alcohol_history',
	'exposures.alcohol_intensity',
	'exposures.bmi',
	'exposures.cigarettes_per_day',
	'exposures.created_datetime',
	'exposures.exposure_id',
	'exposures.height',
	'exposures.state',
	'exposures.submitter_id',
	'exposures.updated_datetime',
	'exposures.weight',
	'exposures.years_smoked',
	'family_histories.created_datetime',
	'family_histories.family_history_id',
	'family_histories.relationship_age_at_diagnosis',
	'family_histories.relationship_gender',
	'family_histories.relationship_primary_diagnosis',
	'family_histories.relationship_type',
	'family_histories.relative_with_cancer_history',
	'family_histories.state',
	'family_histories.submitter_id',
	'family_histories.updated_datetime',
	'files.access',
	'files.acl',
	'files.analysis.analysis_id',
	'files.analysis.analysis_type',
	'files.analysis.created_datetime',
	'files.analysis.input_files.created_datetime',
	'files.analysis.input_files.data_category',
	'files.analysis.input_files.data_format',
	'files.analysis.input_files.data_type',
	'files.analysis.input_files.error_type',
	'files.analysis.input_files.experimental_strategy',
	'files.analysis.input_files.file_id',
	'files.analysis.input_files.file_name',
	'files.analysis.input_files.file_size',
	'files.analysis.input_files.file_state',
	'files.analysis.input_files.md5sum',
	'files.analysis.input_files.platform',
	'files.analysis.input_files.revision',
	'files.analysis.input_files.state',
	'files.analysis.input_files.state_comment',
	'files.analysis.input_files.submitter_id',
	'files.analysis.input_files.updated_datetime',
	'files.analysis.metadata.read_groups.adapter_name',
	'files.analysis.metadata.read_groups.adapter_sequence',
	'files.analysis.metadata.read_groups.base_caller_name',
	'files.analysis.metadata.read_groups.base_caller_version',
	'files.analysis.metadata.read_groups.created_datetime',
	'files.analysis.metadata.read_groups.experiment_name',
	'files.analysis.metadata.read_groups.flow_cell_barcode',
	'files.analysis.metadata.read_groups.includes_spike_ins',
	'files.analysis.metadata.read_groups.instrument_model',
	'files.analysis.metadata.read_groups.is_paired_end',
	'files.analysis.metadata.read_groups.library_name',
	'files.analysis.metadata.read_groups.library_preparation_kit_catalog_number',
	'files.analysis.metadata.read_groups.library_preparation_kit_name',
	'files.analysis.metadata.read_groups.library_preparation_kit_vendor',
	'files.analysis.metadata.read_groups.library_preparation_kit_version',
	'files.analysis.metadata.read_groups.library_selection',
	'files.analysis.metadata.read_groups.library_strand',
	'files.analysis.metadata.read_groups.library_strategy',
	'files.analysis.metadata.read_groups.platform',
	'files.analysis.metadata.read_groups.read_group_id',
	'files.analysis.metadata.read_groups.read_group_name',
	'files.analysis.metadata.read_groups.read_length',
	'files.analysis.metadata.read_groups.RIN',
	'files.analysis.metadata.read_groups.sequencing_center',
	'files.analysis.metadata.read_groups.sequencing_date',
	'files.analysis.metadata.read_groups.size_selection_range',
	'files.analysis.metadata.read_groups.spike_ins_concentration',
	'files.analysis.metadata.read_groups.spike_ins_fasta',
	'files.analysis.metadata.read_groups.state',
	'files.analysis.metadata.read_groups.submitter_id',
	'files.analysis.metadata.read_groups.target_capture_kit_catalog_number',
	'files.analysis.metadata.read_groups.target_capture_kit_name',
	'files.analysis.metadata.read_groups.target_capture_kit_target_region',
	'files.analysis.metadata.read_groups.target_capture_kit_vendor',
	'files.analysis.metadata.read_groups.target_capture_kit_version',
	'files.analysis.metadata.read_groups.to_trim_adapter_sequence',
	'files.analysis.metadata.read_groups.updated_datetime',
	'files.analysis.state',
	'files.analysis.submitter_id',
	'files.analysis.updated_datetime',
	'files.analysis.workflow_end_datetime',
	'files.analysis.workflow_link',
	'files.analysis.workflow_start_datetime',
	'files.analysis.workflow_type',
	'files.analysis.workflow_version',
	'files.archive.archive_id',
	'files.archive.created_datetime',
	'files.archive.data_category',
	'files.archive.data_format',
	'files.archive.data_type',
	'files.archive.error_type',
	'files.archive.file_name',
	'files.archive.file_size',
	'files.archive.file_state',
	'files.archive.md5sum',
	'files.archive.revision',
	'files.archive.state',
	'files.archive.state_comment',
	'files.archive.submitter_id',
	'files.archive.updated_datetime',
	'files.cases.aliquot_ids',
	'files.cases.analyte_ids',
	'files.cases.annotations.annotation_id',
	'files.cases.annotations.case_id',
	'files.cases.annotations.case_submitter_id',
	'files.cases.annotations.category',
	'files.cases.annotations.classification',
	'files.cases.annotations.created_datetime',
	'files.cases.annotations.creator',
	'files.cases.annotations.entity_id',
	'files.cases.annotations.entity_submitter_id',
	'files.cases.annotations.entity_type',
	'files.cases.annotations.legacy_created_datetime',
	'files.cases.annotations.legacy_updated_datetime',
	'files.cases.annotations.notes',
	'files.cases.annotations.state',
	'files.cases.annotations.status',
	'files.cases.annotations.submitter_id',
	'files.cases.annotations.updated_datetime',
	'files.cases.case_id',
	'files.cases.created_datetime',
	'files.cases.days_to_index',
	'files.cases.demographic.created_datetime',
	'files.cases.demographic.demographic_id',
	'files.cases.demographic.ethnicity',
	'files.cases.demographic.gender',
	'files.cases.demographic.race',
	'files.cases.demographic.state',
	'files.cases.demographic.submitter_id',
	'files.cases.demographic.updated_datetime',
	'files.cases.demographic.year_of_birth',
	'files.cases.demographic.year_of_death',
	'files.cases.diagnoses.age_at_diagnosis',
	'files.cases.diagnoses.classification_of_tumor',
	'files.cases.diagnoses.created_datetime',
	'files.cases.diagnoses.days_to_birth',
	'files.cases.diagnoses.days_to_death',
	'files.cases.diagnoses.days_to_last_follow_up',
	'files.cases.diagnoses.days_to_last_known_disease_status',
	'files.cases.diagnoses.days_to_recurrence',
	'files.cases.diagnoses.diagnosis_id',
	'files.cases.diagnoses.last_known_disease_status',
	'files.cases.diagnoses.morphology',
	'files.cases.diagnoses.primary_diagnosis',
	'files.cases.diagnoses.prior_malignancy',
	'files.cases.diagnoses.progression_or_recurrence',
	'files.cases.diagnoses.site_of_resection_or_biopsy',
	'files.cases.diagnoses.state',
	'files.cases.diagnoses.submitter_id',
	'files.cases.diagnoses.tissue_or_organ_of_origin',
	'files.cases.diagnoses.treatments.created_datetime',
	'files.cases.diagnoses.treatments.days_to_treatment',
	'files.cases.diagnoses.treatments.state',
	'files.cases.diagnoses.treatments.submitter_id',
	'files.cases.diagnoses.treatments.therapeutic_agents',
	'files.cases.diagnoses.treatments.treatment_id',
	'files.cases.diagnoses.treatments.treatment_intent_type',
	'files.cases.diagnoses.treatments.treatment_or_therapy',
	'files.cases.diagnoses.treatments.updated_datetime',
	'files.cases.diagnoses.tumor_grade',
	'files.cases.diagnoses.tumor_stage',
	'files.cases.diagnoses.updated_datetime',
	'files.cases.diagnoses.vital_status',
	'files.cases.exposures.alcohol_history',
	'files.cases.exposures.alcohol_intensity',
	'files.cases.exposures.bmi',
	'files.cases.exposures.cigarettes_per_day',
	'files.cases.exposures.created_datetime',
	'files.cases.exposures.exposure_id',
	'files.cases.exposures.height',
	'files.cases.exposures.state',
	'files.cases.exposures.submitter_id',
	'files.cases.exposures.updated_datetime',
	'files.cases.exposures.weight',
	'files.cases.exposures.years_smoked',
	'files.cases.family_histories.created_datetime',
	'files.cases.family_histories.family_history_id',
	'files.cases.family_histories.relationship_age_at_diagnosis',
	'files.cases.family_histories.relationship_gender',
	'files.cases.family_histories.relationship_primary_diagnosis',
	'files.cases.family_histories.relationship_type',
	'files.cases.family_histories.relative_with_cancer_history',
	'files.cases.family_histories.state',
	'files.cases.family_histories.submitter_id',
	'files.cases.family_histories.updated_datetime',
	'files.cases.files.created_datetime',
	'files.cases.files.error_type',
	'files.cases.files.file_id',
	'files.cases.files.file_name',
	'files.cases.files.file_size',
	'files.cases.files.file_state',
	'files.cases.files.md5sum',
	'files.cases.files.state',
	'files.cases.files.state_comment',
	'files.cases.files.submitter_id',
	'files.cases.files.updated_datetime',
	'files.cases.portion_ids',
	'files.cases.project.dbgap_accession_number',
	'files.cases.project.disease_type',
	'files.cases.project.name',
	'files.cases.project.primary_site',
	'files.cases.project.program.dbgap_accession_number',
	'files.cases.project.program.name',
	'files.cases.project.program.program_id',
	'files.cases.project.project_id',
	'files.cases.project.released',
	'files.cases.project.state',
	'files.cases.sample_ids',
	'files.cases.samples.annotations.annotation_id',
	'files.cases.samples.annotations.case_id',
	'files.cases.samples.annotations.case_submitter_id',
	'files.cases.samples.annotations.category',
	'files.cases.samples.annotations.classification',
	'files.cases.samples.annotations.created_datetime',
	'files.cases.samples.annotations.creator',
	'files.cases.samples.annotations.entity_id',
	'files.cases.samples.annotations.entity_submitter_id',
	'files.cases.samples.annotations.entity_type',
	'files.cases.samples.annotations.legacy_created_datetime',
	'files.cases.samples.annotations.legacy_updated_datetime',
	'files.cases.samples.annotations.notes',
	'files.cases.samples.annotations.state',
	'files.cases.samples.annotations.status',
	'files.cases.samples.annotations.submitter_id',
	'files.cases.samples.annotations.updated_datetime',
	'files.cases.samples.composition',
	'files.cases.samples.created_datetime',
	'files.cases.samples.current_weight',
	'files.cases.samples.days_to_collection',
	'files.cases.samples.days_to_sample_procurement',
	'files.cases.samples.freezing_method',
	'files.cases.samples.initial_weight',
	'files.cases.samples.intermediate_dimension',
	'files.cases.samples.is_ffpe',
	'files.cases.samples.longest_dimension',
	'files.cases.samples.oct_embedded',
	'files.cases.samples.pathology_report_uuid',
	'files.cases.samples.portions.analytes.a260_a280_ratio',
	'files.cases.samples.portions.analytes.aliquots.aliquot_id',
	'files.cases.samples.portions.analytes.aliquots.amount',
	'files.cases.samples.portions.analytes.aliquots.analyte_type',
	'files.cases.samples.portions.analytes.aliquots.analyte_type_id',
	'files.cases.samples.portions.analytes.aliquots.annotations.annotation_id',
	'files.cases.samples.portions.analytes.aliquots.annotations.case_id',
	'files.cases.samples.portions.analytes.aliquots.annotations.case_submitter_id',
	'files.cases.samples.portions.analytes.aliquots.annotations.category',
	'files.cases.samples.portions.analytes.aliquots.annotations.classification',
	'files.cases.samples.portions.analytes.aliquots.annotations.created_datetime',
	'files.cases.samples.portions.analytes.aliquots.annotations.creator',
	'files.cases.samples.portions.analytes.aliquots.annotations.entity_id',
	'files.cases.samples.portions.analytes.aliquots.annotations.entity_submitter_id',
	'files.cases.samples.portions.analytes.aliquots.annotations.entity_type',
	'files.cases.samples.portions.analytes.aliquots.annotations.legacy_created_datetime',
	'files.cases.samples.portions.analytes.aliquots.annotations.legacy_updated_datetime',
	'files.cases.samples.portions.analytes.aliquots.annotations.notes',
	'files.cases.samples.portions.analytes.aliquots.annotations.state',
	'files.cases.samples.portions.analytes.aliquots.annotations.status',
	'files.cases.samples.portions.analytes.aliquots.annotations.submitter_id',
	'files.cases.samples.portions.analytes.aliquots.annotations.updated_datetime',
	'files.cases.samples.portions.analytes.aliquots.center.center_id',
	'files.cases.samples.portions.analytes.aliquots.center.center_type',
	'files.cases.samples.portions.analytes.aliquots.center.code',
	'files.cases.samples.portions.analytes.aliquots.center.name',
	'files.cases.samples.portions.analytes.aliquots.center.namespace',
	'files.cases.samples.portions.analytes.aliquots.center.short_name',
	'files.cases.samples.portions.analytes.aliquots.concentration',
	'files.cases.samples.portions.analytes.aliquots.created_datetime',
	'files.cases.samples.portions.analytes.aliquots.source_center',
	'files.cases.samples.portions.analytes.aliquots.state',
	'files.cases.samples.portions.analytes.aliquots.submitter_id',
	'files.cases.samples.portions.analytes.aliquots.updated_datetime',
	'files.cases.samples.portions.analytes.amount',
	'files.cases.samples.portions.analytes.analyte_id',
	'files.cases.samples.portions.analytes.analyte_type',
	'files.cases.samples.portions.analytes.analyte_type_id',
	'files.cases.samples.portions.analytes.annotations.annotation_id',
	'files.cases.samples.portions.analytes.annotations.case_id',
	'files.cases.samples.portions.analytes.annotations.case_submitter_id',
	'files.cases.samples.portions.analytes.annotations.category',
	'files.cases.samples.portions.analytes.annotations.classification',
	'files.cases.samples.portions.analytes.annotations.created_datetime',
	'files.cases.samples.portions.analytes.annotations.creator',
	'files.cases.samples.portions.analytes.annotations.entity_id',
	'files.cases.samples.portions.analytes.annotations.entity_submitter_id',
	'files.cases.samples.portions.analytes.annotations.entity_type',
	'files.cases.samples.portions.analytes.annotations.legacy_created_datetime',
	'files.cases.samples.portions.analytes.annotations.legacy_updated_datetime',
	'files.cases.samples.portions.analytes.annotations.notes',
	'files.cases.samples.portions.analytes.annotations.state',
	'files.cases.samples.portions.analytes.annotations.status',
	'files.cases.samples.portions.analytes.annotations.submitter_id',
	'files.cases.samples.portions.analytes.annotations.updated_datetime',
	'files.cases.samples.portions.analytes.concentration',
	'files.cases.samples.portions.analytes.created_datetime',
	'files.cases.samples.portions.analytes.spectrophotometer_method',
	'files.cases.samples.portions.analytes.state',
	'files.cases.samples.portions.analytes.submitter_id',
	'files.cases.samples.portions.analytes.updated_datetime',
	'files.cases.samples.portions.analytes.well_number',
	'files.cases.samples.portions.annotations.annotation_id',
	'files.cases.samples.portions.annotations.case_id',
	'files.cases.samples.portions.annotations.case_submitter_id',
	'files.cases.samples.portions.annotations.category',
	'files.cases.samples.portions.annotations.classification',
	'files.cases.samples.portions.annotations.created_datetime',
	'files.cases.samples.portions.annotations.creator',
	'files.cases.samples.portions.annotations.entity_id',
	'files.cases.samples.portions.annotations.entity_submitter_id',
	'files.cases.samples.portions.annotations.entity_type',
	'files.cases.samples.portions.annotations.legacy_created_datetime',
	'files.cases.samples.portions.annotations.legacy_updated_datetime',
	'files.cases.samples.portions.annotations.notes',
	'files.cases.samples.portions.annotations.state',
	'files.cases.samples.portions.annotations.status',
	'files.cases.samples.portions.annotations.submitter_id',
	'files.cases.samples.portions.annotations.updated_datetime',
	'files.cases.samples.portions.center.center_id',
	'files.cases.samples.portions.center.center_type',
	'files.cases.samples.portions.center.code',
	'files.cases.samples.portions.center.name',
	'files.cases.samples.portions.center.namespace',
	'files.cases.samples.portions.center.short_name',
	'files.cases.samples.portions.created_datetime',
	'files.cases.samples.portions.creation_datetime',
	'files.cases.samples.portions.is_ffpe',
	'files.cases.samples.portions.portion_id',
	'files.cases.samples.portions.portion_number',
	'files.cases.samples.portions.slides.annotations.annotation_id',
	'files.cases.samples.portions.slides.annotations.case_id',
	'files.cases.samples.portions.slides.annotations.case_submitter_id',
	'files.cases.samples.portions.slides.annotations.category',
	'files.cases.samples.portions.slides.annotations.classification',
	'files.cases.samples.portions.slides.annotations.created_datetime',
	'files.cases.samples.portions.slides.annotations.creator',
	'files.cases.samples.portions.slides.annotations.entity_id',
	'files.cases.samples.portions.slides.annotations.entity_submitter_id',
	'files.cases.samples.portions.slides.annotations.entity_type',
	'files.cases.samples.portions.slides.annotations.legacy_created_datetime',
	'files.cases.samples.portions.slides.annotations.legacy_updated_datetime',
	'files.cases.samples.portions.slides.annotations.notes',
	'files.cases.samples.portions.slides.annotations.state',
	'files.cases.samples.portions.slides.annotations.status',
	'files.cases.samples.portions.slides.annotations.submitter_id',
	'files.cases.samples.portions.slides.annotations.updated_datetime',
	'files.cases.samples.portions.slides.created_datetime',
	'files.cases.samples.portions.slides.number_proliferating_cells',
	'files.cases.samples.portions.slides.percent_eosinophil_infiltration',
	'files.cases.samples.portions.slides.percent_granulocyte_infiltration',
	'files.cases.samples.portions.slides.percent_inflam_infiltration',
	'files.cases.samples.portions.slides.percent_lymphocyte_infiltration',
	'files.cases.samples.portions.slides.percent_monocyte_infiltration',
	'files.cases.samples.portions.slides.percent_necrosis',
	'files.cases.samples.portions.slides.percent_neutrophil_infiltration',
	'files.cases.samples.portions.slides.percent_normal_cells',
	'files.cases.samples.portions.slides.percent_stromal_cells',
	'files.cases.samples.portions.slides.percent_tumor_cells',
	'files.cases.samples.portions.slides.percent_tumor_nuclei',
	'files.cases.samples.portions.slides.section_location',
	'files.cases.samples.portions.slides.slide_id',
	'files.cases.samples.portions.slides.state',
	'files.cases.samples.portions.slides.submitter_id',
	'files.cases.samples.portions.slides.updated_datetime',
	'files.cases.samples.portions.state',
	'files.cases.samples.portions.submitter_id',
	'files.cases.samples.portions.updated_datetime',
	'files.cases.samples.portions.weight',
	'files.cases.samples.preservation_method',
	'files.cases.samples.sample_id',
	'files.cases.samples.sample_type',
	'files.cases.samples.sample_type_id',
	'files.cases.samples.shortest_dimension',
	'files.cases.samples.state',
	'files.cases.samples.submitter_id',
	'files.cases.samples.time_between_clamping_and_freezing',
	'files.cases.samples.time_between_excision_and_freezing',
	'files.cases.samples.tissue_type',
	'files.cases.samples.tumor_code',
	'files.cases.samples.tumor_code_id',
	'files.cases.samples.tumor_descriptor',
	'files.cases.samples.updated_datetime',
	'files.cases.slide_ids',
	'files.cases.state',
	'files.cases.submitter_aliquot_ids',
	'files.cases.submitter_analyte_ids',
	'files.cases.submitter_id',
	'files.cases.submitter_portion_ids',
	'files.cases.submitter_sample_ids',
	'files.cases.submitter_slide_ids',
	'files.cases.summary.data_categories.data_category',
	'files.cases.summary.data_categories.file_count',
	'files.cases.summary.experimental_strategies.experimental_strategy',
	'files.cases.summary.experimental_strategies.file_count',
	'files.cases.summary.file_count',
	'files.cases.summary.file_size',
	'files.cases.tissue_source_site.bcr_id',
	'files.cases.tissue_source_site.code',
	'files.cases.tissue_source_site.name',
	'files.cases.tissue_source_site.project',
	'files.cases.tissue_source_site.tissue_source_site_id',
	'files.cases.updated_datetime',
	'files.center.center_id',
	'files.center.center_type',
	'files.center.code',
	'files.center.name',
	'files.center.namespace',
	'files.center.short_name',
	'files.created_datetime',
	'files.data_category',
	'files.data_format',
	'files.data_type',
	'files.downstream_analyses.analysis_id',
	'files.downstream_analyses.analysis_type',
	'files.downstream_analyses.created_datetime',
	'files.downstream_analyses.output_files.created_datetime',
	'files.downstream_analyses.output_files.data_category',
	'files.downstream_analyses.output_files.data_format',
	'files.downstream_analyses.output_files.data_type',
	'files.downstream_analyses.output_files.error_type',
	'files.downstream_analyses.output_files.experimental_strategy',
	'files.downstream_analyses.output_files.file_id',
	'files.downstream_analyses.output_files.file_name',
	'files.downstream_analyses.output_files.file_size',
	'files.downstream_analyses.output_files.file_state',
	'files.downstream_analyses.output_files.md5sum',
	'files.downstream_analyses.output_files.platform',
	'files.downstream_analyses.output_files.revision',
	'files.downstream_analyses.output_files.state',
	'files.downstream_analyses.output_files.state_comment',
	'files.downstream_analyses.output_files.submitter_id',
	'files.downstream_analyses.output_files.updated_datetime',
	'files.downstream_analyses.state',
	'files.downstream_analyses.submitter_id',
	'files.downstream_analyses.updated_datetime',
	'files.downstream_analyses.workflow_end_datetime',
	'files.downstream_analyses.workflow_link',
	'files.downstream_analyses.workflow_start_datetime',
	'files.downstream_analyses.workflow_type',
	'files.downstream_analyses.workflow_version',
	'files.error_type',
	'files.experimental_strategy',
	'files.file_id',
	'files.file_name',
	'files.file_size',
	'files.file_state',
	'files.index_files.created_datetime',
	'files.index_files.data_category',
	'files.index_files.data_format',
	'files.index_files.data_type',
	'files.index_files.error_type',
	'files.index_files.experimental_strategy',
	'files.index_files.file_id',
	'files.index_files.file_name',
	'files.index_files.file_size',
	'files.index_files.file_state',
	'files.index_files.md5sum',
	'files.index_files.platform',
	'files.index_files.revision',
	'files.index_files.state',
	'files.index_files.state_comment',
	'files.index_files.submitter_id',
	'files.index_files.updated_datetime',
	'files.md5sum',
	'files.metadata_files.access',
	'files.metadata_files.created_datetime',
	'files.metadata_files.data_category',
	'files.metadata_files.data_format',
	'files.metadata_files.data_type',
	'files.metadata_files.error_type',
	'files.metadata_files.file_id',
	'files.metadata_files.file_name',
	'files.metadata_files.file_size',
	'files.metadata_files.file_state',
	'files.metadata_files.md5sum',
	'files.metadata_files.state',
	'files.metadata_files.state_comment',
	'files.metadata_files.submitter_id',
	'files.metadata_files.type',
	'files.metadata_files.updated_datetime',
	'files.origin',
	'files.platform',
	'files.revision',
	'files.state',
	'files.state_comment',
	'files.submitter_id',
	'files.tags',
	'files.type',
	'files.updated_datetime',
	'portion_ids',
	'project.dbgap_accession_number',
	'project.disease_type',
	'project.name',
	'project.primary_site',
	'project.program.dbgap_accession_number',
	'project.program.name',
	'project.program.program_id',
	'project.project_id',
	'project.released',
	'project.state',
	'sample_ids',
	'samples.annotations.annotation_id',
	'samples.annotations.case_id',
	'samples.annotations.case_submitter_id',
	'samples.annotations.category',
	'samples.annotations.classification',
	'samples.annotations.created_datetime',
	'samples.annotations.creator',
	'samples.annotations.entity_id',
	'samples.annotations.entity_submitter_id',
	'samples.annotations.entity_type',
	'samples.annotations.legacy_created_datetime',
	'samples.annotations.legacy_updated_datetime',
	'samples.annotations.notes',
	'samples.annotations.state',
	'samples.annotations.status',
	'samples.annotations.submitter_id',
	'samples.annotations.updated_datetime',
	'samples.composition',
	'samples.created_datetime',
	'samples.current_weight',
	'samples.days_to_collection',
	'samples.days_to_sample_procurement',
	'samples.freezing_method',
	'samples.initial_weight',
	'samples.intermediate_dimension',
	'samples.is_ffpe',
	'samples.longest_dimension',
	'samples.oct_embedded',
	'samples.pathology_report_uuid',
	'samples.portions.analytes.a260_a280_ratio',
	'samples.portions.analytes.aliquots.aliquot_id',
	'samples.portions.analytes.aliquots.amount',
	'samples.portions.analytes.aliquots.analyte_type',
	'samples.portions.analytes.aliquots.analyte_type_id',
	'samples.portions.analytes.aliquots.annotations.annotation_id',
	'samples.portions.analytes.aliquots.annotations.case_id',
	'samples.portions.analytes.aliquots.annotations.case_submitter_id',
	'samples.portions.analytes.aliquots.annotations.category',
	'samples.portions.analytes.aliquots.annotations.classification',
	'samples.portions.analytes.aliquots.annotations.created_datetime',
	'samples.portions.analytes.aliquots.annotations.creator',
	'samples.portions.analytes.aliquots.annotations.entity_id',
	'samples.portions.analytes.aliquots.annotations.entity_submitter_id',
	'samples.portions.analytes.aliquots.annotations.entity_type',
	'samples.portions.analytes.aliquots.annotations.legacy_created_datetime',
	'samples.portions.analytes.aliquots.annotations.legacy_updated_datetime',
	'samples.portions.analytes.aliquots.annotations.notes',
	'samples.portions.analytes.aliquots.annotations.state',
	'samples.portions.analytes.aliquots.annotations.status',
	'samples.portions.analytes.aliquots.annotations.submitter_id',
	'samples.portions.analytes.aliquots.annotations.updated_datetime',
	'samples.portions.analytes.aliquots.center.center_id',
	'samples.portions.analytes.aliquots.center.center_type',
	'samples.portions.analytes.aliquots.center.code',
	'samples.portions.analytes.aliquots.center.name',
	'samples.portions.analytes.aliquots.center.namespace',
	'samples.portions.analytes.aliquots.center.short_name',
	'samples.portions.analytes.aliquots.concentration',
	'samples.portions.analytes.aliquots.created_datetime',
	'samples.portions.analytes.aliquots.source_center',
	'samples.portions.analytes.aliquots.state',
	'samples.portions.analytes.aliquots.submitter_id',
	'samples.portions.analytes.aliquots.updated_datetime',
	'samples.portions.analytes.amount',
	'samples.portions.analytes.analyte_id',
	'samples.portions.analytes.analyte_type',
	'samples.portions.analytes.analyte_type_id',
	'samples.portions.analytes.annotations.annotation_id',
	'samples.portions.analytes.annotations.case_id',
	'samples.portions.analytes.annotations.case_submitter_id',
	'samples.portions.analytes.annotations.category',
	'samples.portions.analytes.annotations.classification',
	'samples.portions.analytes.annotations.created_datetime',
	'samples.portions.analytes.annotations.creator',
	'samples.portions.analytes.annotations.entity_id',
	'samples.portions.analytes.annotations.entity_submitter_id',
	'samples.portions.analytes.annotations.entity_type',
	'samples.portions.analytes.annotations.legacy_created_datetime',
	'samples.portions.analytes.annotations.legacy_updated_datetime',
	'samples.portions.analytes.annotations.notes',
	'samples.portions.analytes.annotations.state',
	'samples.portions.analytes.annotations.status',
	'samples.portions.analytes.annotations.submitter_id',
	'samples.portions.analytes.annotations.updated_datetime',
	'samples.portions.analytes.concentration',
	'samples.portions.analytes.created_datetime',
	'samples.portions.analytes.spectrophotometer_method',
	'samples.portions.analytes.state',
	'samples.portions.analytes.submitter_id',
	'samples.portions.analytes.updated_datetime',
	'samples.portions.analytes.well_number',
	'samples.portions.annotations.annotation_id',
	'samples.portions.annotations.case_id',
	'samples.portions.annotations.case_submitter_id',
	'samples.portions.annotations.category',
	'samples.portions.annotations.classification',
	'samples.portions.annotations.created_datetime',
	'samples.portions.annotations.creator',
	'samples.portions.annotations.entity_id',
	'samples.portions.annotations.entity_submitter_id',
	'samples.portions.annotations.entity_type',
	'samples.portions.annotations.legacy_created_datetime',
	'samples.portions.annotations.legacy_updated_datetime',
	'samples.portions.annotations.notes',
	'samples.portions.annotations.state',
	'samples.portions.annotations.status',
	'samples.portions.annotations.submitter_id',
	'samples.portions.annotations.updated_datetime',
	'samples.portions.center.center_id',
	'samples.portions.center.center_type',
	'samples.portions.center.code',
	'samples.portions.center.name',
	'samples.portions.center.namespace',
	'samples.portions.center.short_name',
	'samples.portions.created_datetime',
	'samples.portions.creation_datetime',
	'samples.portions.is_ffpe',
	'samples.portions.portion_id',
	'samples.portions.portion_number',
	'samples.portions.slides.annotations.annotation_id',
	'samples.portions.slides.annotations.case_id',
	'samples.portions.slides.annotations.case_submitter_id',
	'samples.portions.slides.annotations.category',
	'samples.portions.slides.annotations.classification',
	'samples.portions.slides.annotations.created_datetime',
	'samples.portions.slides.annotations.creator',
	'samples.portions.slides.annotations.entity_id',
	'samples.portions.slides.annotations.entity_submitter_id',
	'samples.portions.slides.annotations.entity_type',
	'samples.portions.slides.annotations.legacy_created_datetime',
	'samples.portions.slides.annotations.legacy_updated_datetime',
	'samples.portions.slides.annotations.notes',
	'samples.portions.slides.annotations.state',
	'samples.portions.slides.annotations.status',
	'samples.portions.slides.annotations.submitter_id',
	'samples.portions.slides.annotations.updated_datetime',
	'samples.portions.slides.created_datetime',
	'samples.portions.slides.number_proliferating_cells',
	'samples.portions.slides.percent_eosinophil_infiltration',
	'samples.portions.slides.percent_granulocyte_infiltration',
	'samples.portions.slides.percent_inflam_infiltration',
	'samples.portions.slides.percent_lymphocyte_infiltration',
	'samples.portions.slides.percent_monocyte_infiltration',
	'samples.portions.slides.percent_necrosis',
	'samples.portions.slides.percent_neutrophil_infiltration',
	'samples.portions.slides.percent_normal_cells',
	'samples.portions.slides.percent_stromal_cells',
	'samples.portions.slides.percent_tumor_cells',
	'samples.portions.slides.percent_tumor_nuclei',
	'samples.portions.slides.section_location',
	'samples.portions.slides.slide_id',
	'samples.portions.slides.state',
	'samples.portions.slides.submitter_id',
	'samples.portions.slides.updated_datetime',
	'samples.portions.state',
	'samples.portions.submitter_id',
	'samples.portions.updated_datetime',
	'samples.portions.weight',
	'samples.preservation_method',
	'samples.sample_id',
	'samples.sample_type',
	'samples.sample_type_id',
	'samples.shortest_dimension',
	'samples.state',
	'samples.submitter_id',
	'samples.time_between_clamping_and_freezing',
	'samples.time_between_excision_and_freezing',
	'samples.tissue_type',
	'samples.tumor_code',
	'samples.tumor_code_id',
	'samples.tumor_descriptor',
	'samples.updated_datetime',
	'slide_ids',
	'state',
	'submitter_aliquot_ids',
	'submitter_analyte_ids',
	'submitter_id',
	'submitter_portion_ids',
	'submitter_sample_ids',
	'submitter_slide_ids',
	'summary.data_categories.data_category',
	'summary.data_categories.file_count',
	'summary.experimental_strategies.experimental_strategy',
	'summary.experimental_strategies.file_count',
	'summary.file_count',
	'summary.file_size',
	'tissue_source_site.bcr_id',
	'tissue_source_site.code',
	'tissue_source_site.name',
	'tissue_source_site.project',
	'tissue_source_site.tissue_source_site_id',
	'updated_datetime',
]

CASES_DEFAULT_FIELDS = [field for field in CASES_FIELDS if '.' not in field]
CASES_DIAGNOSES_FIELDS = [field for field in CASES_FIELDS if field.startswith('diagnoses')]
CASES_SAMPLE_FIELDS = [field for field in CASES_FIELDS if field.startswith('samples')]
CASES_FILE_FIELDS = [field for field in CASES_FIELDS if field.startswith('files')]
CASES_EXPOSURE_FIELDS = [field for field in CASES_FIELDS if field.startswith('exposure')]